{% extends 'base.html' %}
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
{% block title %}{{ recipe_object.title }} - Scrumptious Recipes{% endblock title %}
{% block content %}
<body>
    <main>
        <h1>{{ recipe_object.title }}</h1>
        <img src="{{ recipe_object.picture }}" alt="Vegetarian Tacos on a place" width="200" height="200">
        <div>4.3 stars</div>
        <p>{{ recipe_object.description }}</p>
        <h2>Ingredients</h2>
            <table class="ingredients-table">
            <thead>
                <tr><th>Amount</th><th>Food Item</th></tr>
            </thead>
            <tbody>
                {% for  ingredient in recipe_object.ingredients.all %}
                <tr>
                    <td>{{ ingredient.amount }}</td>
                    <td>{{ ingredient.food_item }}</td>
                </tr>
                {% endfor %}
            </tbody>
                <!-- <tr>
                    <th>Amount</th>
                    <th>Food Item</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>1 cup</td>
                    <td>Green beans</td>
                </tr>
                <tr>
                    <td>3 ears</td>
                    <td>Fresh corn</td>
                </tr>
                <tr>
                    <td>2 cups</td>
                    <td>Tomatillo salsa</td>
                </tr>
                <tr>
                    <td>8</td>
                    <td>Corn tortillas</td>
                </tr>
                <tr>
                    <td>0.5 cups</td>
                    <td>Cotija Cheese</td>
                </tr> -->
            </table>
        </div>
        <h2>Steps</h2>
        <ol>
            {% for step in recipe_object.steps.all %}
                <li>{{ step.instruction }}</li>
            {% endfor %}
            <!-- <li>Blanch the green beans</li>
            <li>Grill the green beans and the ears of corn</li>
            <li>Chop the green beans</li>
            <li>Slice the corn off the cob</li>
            <li>Grill the tortillas</li>
            <li>Assemble the tacos with veggies, salsa, and cheese</li> -->
        </ol>
        <a href="{% url 'edit_recipe' recipe_object.id %}"><button>Edit</button></a>
    </main>
    {% endblock content %}
